#
# Conditional build:
%bcond_without	tests	# build without tests
%bcond_without	doc	# don't build ri/rdoc

# TODO
# - system libmarkdown (from discount.spec) >= 2.2.0
# - rake doc
#   (in /home/users/z/rpm/BUILD/ruby-discount-1.2.7) hanna --charset utf8 --fmt html --inline-source --line-numbers --main RDiscount --op doc --title 'RDiscount API Documentation' lib/rdiscount.rb lib/markdown.rb sh: hanna: not found
#   rake aborted!

%define pkgname rdiscount
Summary:	Discount Markdown Processor for Ruby
Summary(pl.UTF-8):	Discount (procesor języka Markdown) dla języka Ruby
Name:		ruby-%{pkgname}
Version:	2.2.0.1
Release:	4
License:	BSD
Source0:	https://github.com/davidfstr/rdiscount/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	11b5061786a57da45052e8d02ef77c5a
Group:		Development/Languages
URL:		https://github.com/davidfstr/rdiscount
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.9
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	setup.rb >= 3.4.1-6
%if %{with tests}
BuildRequires:	ruby-test-unit
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Discount is a Markdown language Processor. This package contains
Discount for Ruby.

%description -l pl.UTF-8
Discount to procesor języka znaczników Markdown. Ten pakiet zawiera
procesor Discount dla języka Ruby.

%package -n rdiscount
Summary:	Markdown processor
Summary(pl.UTF-8):	Procesor języka znaczników Markdown
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description -n rdiscount
Markdown processor.

%description -n rdiscount -l pl.UTF-8
Procesor języka znaczników Markdown.

%package rdoc
Summary:	HTML documentation for Ruby %{pkgname} module
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla modułu %{pkgname} języka Ruby
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for Ruby %{pkgname} module.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla modułu %{pkgname} języka Ruby.

%package ri
Summary:	ri documentation for Ruby %{pkgname} module
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla modułu %{pkgname} języka Ruby
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for Ruby %{pkgname} module.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla modułu %{pkgname} języka Ruby.

%prep
%setup -qn %{pkgname}-%{version}

%build
# make gemspec self-contained
ruby -r rubygems -e 'spec = eval(File.read("%{pkgname}.gemspec"))
	File.open("%{pkgname}-%{version}.gemspec", "w") do |file|
	file.puts spec.to_ruby_for_cache
end'

cp %{_datadir}/setup.rb .

%{__ruby} setup.rb config \
	--rbdir=%{ruby_vendorlibdir} \
	--mandir=%{_mandir}/man1 \
	--sodir=%{ruby_vendorarchdir}

%{__ruby} setup.rb setup

%if %{with tests}
%{__ruby} -r rubygems -Ilib:ext:. \
	-e 'gem "test-unit"; Dir.glob("test/*_test.rb").sort.each {|f| require f}'
%endif

%if %{with doc}
rdoc --ri --op ri lib
rdoc --op rdoc lib
%{__rm} -r ri/Object
%{__rm} ri/created.rid
%{__rm} ri/cache.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

# just does require rdiscount
%{__rm} $RPM_BUILD_ROOT%{ruby_vendorlibdir}/markdown.rb
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/markdown.7

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rdiscount.1.ronn
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md COPYING README.markdown
%{ruby_vendorlibdir}/rdiscount.rb
%attr(755,root,root) %{ruby_vendorarchdir}/rdiscount.so
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files -n rdiscount
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rdiscount
%{_mandir}/man1/rdiscount.1*

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/RDiscount
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rdiscount.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 63081e8
- release 4 (by relup.sh)

* Sun Jun 10 2018 Jakub Bogusz <qboosh@pld-linux.org> e39f400
- better -rdoc,-ri descriptions

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> ccae8d3
- rebuild with ruby 2.4
- release 3 (by relup.sh)

* Sat Oct 28 2017 Elan Ruusamäe <glen@delfi.ee> c287f36
- rebuild with fixed ruby ridir path
- release 2 (by relup.sh)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 681a6e6
- Revert "BR gmp-devel"

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> f4fb359
- BR gmp-devel

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 24895c5
- add missing test deps

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> db5d404
- up to 2.2.0.1

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 04d28e5
- use updated setup.rb

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> f076a5a
- rebuild with ruby 2.3
- release 3 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 2049934
- ruby 2.1 rebuild
- release 2 (by relup.sh)

* Sat Dec 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 9ee55ac
- pl, package CHANGELOG.md

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 04eaeed
- drop obsolete files

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> efa9f70
- run tests (copied from fedora)

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> a8e89bc
- up to 2.1.8; package gemspec

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> d87af65
- BR rpm-rubyprov

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 2f38e19
- install to vendor dir; noarch doc packages; cleanups

* Tue Feb 08 2011 sparky <sparky@pld-linux.org> 0336db6
- BR: ruby-devel

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> a83c7ea
- I'm not sure, but most probably it won't compile/work on ruby 1.8 because of
  ruby1.9.patch, so set BR ruby >= 1:1.9

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> 6d59f47
- initial

